<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.discovery.static-provider" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="services"/>
        <elem name="addr-params" value="profile,host,subsystem,static-provider"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.discovery"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.discovery.provider.$static-provider"/>
    </provides>
    <refs>
        <ref feature="subsystem.discovery"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="discovery"/>
        <param name="services" stability="default"/>
        <param name="static-provider" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>